<?php
/*
  Featured Products CE Phoenix v2.0.0
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2019: Rainer Schmied - @raiwa

  All rights reserved.﻿﻿

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

  require('includes/application_top.php');

  function tep_set_featured_status($featured_id, $status) {
    if ($status == '1') {
      return tep_db_query("update featured set status = '1', expires_date = NULL, date_status_change = NULL where featured_id = '" . $featured_id . "'");
    } elseif ($status == '0') {
      return tep_db_query("update featured set status = '0', date_status_change = now() where featured_id = '" . $featured_id . "'");
    } else {
      return -1;
    }
  }

  require('includes/classes/currencies.php');
  $currencies = new currencies();

  if (isset($_GET['action'])) {
    switch ($_GET['action']) {
      case 'setflag':
        tep_set_featured_status($_GET['id'], $_GET['flag']);
        tep_redirect(tep_href_link('featured.php', '', 'NONSSL'));
        break;
      case 'insert':
     $expdate = tep_db_prepare_input($_POST['expdate']);

      $expires_date = '';
          if (tep_not_null($expdate)) {
            $expires_date = substr($expdate, 0, 4) . substr($expdate, 5, 2) . substr($expdate, 8, 2);
          }

     tep_db_query("insert into featured (products_id, featured_date_added, expires_date, status) values ('" . $_POST['products_id'] . "', now(), '" . $expires_date . "', '1')");
     tep_redirect(tep_href_link('featured.php', 'page=' . $_GET['page']));
        break;
      case 'update':
     $expdate = tep_db_prepare_input($_POST['expdate']);

      $expires_date = '';
          if (tep_not_null($expdate)) {
            $expires_date = substr($expdate, 0, 4) . substr($expdate, 5, 2) . substr($expdate, 8, 2);
          }

       tep_db_query("update featured set featured_last_modified = now(), expires_date = '" . $expires_date . "' where featured_id = '" . $_POST['featured_id'] . "'");
       tep_redirect(tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $featured_id));
        break;
      case 'deleteconfirm':
        $featured_id = tep_db_prepare_input($_GET['fID']);

        tep_db_query("delete from featured where featured_id = '" . tep_db_input($featured_id) . "'");

        tep_redirect(tep_href_link('featured.php', 'page=' . $_GET['page']));
        break;
    }
  }

require('includes/template_top.php');
?>
<div id="popupcalendar" class="text"></div>
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', '1', '30'); ?></td>
          </tr>
        </table></td>
      </tr>
<?php
  if ( isset($_GET['action']) && ($_GET['action'] == 'new' || $_GET['action'] == 'edit') ) {
    $form_action = 'insert';
    if ( ($_GET['action'] == 'edit') && ($_GET['fID']) ) {
	  $form_action = 'update';

      $product_query = tep_db_query("select p.products_id, pd.products_name, f.expires_date from products p, products_description pd, featured f where p.products_id = pd.products_id and pd.language_id = '" . $languages_id . "' and p.products_id = f.products_id and f.featured_id = '" . $_GET['fID'] . "' order by pd.products_name");
      $product = tep_db_fetch_array($product_query);

      $fInfo = new objectInfo($product);
    } else {
      if ( ($_GET['action'] == 'new') && isset($_GET['prodID']) ) {
      	$product_query = tep_db_query("select p.products_id, pd.products_name from products p, products_description pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = '". (int) $_GET['prodID']. "'");
      	$product = tep_db_fetch_array($product_query);
      	$fInfo = new objectInfo($product);
      }
      else {
      	$fInfo = new objectInfo(array());

		// create an array of featured products, which will be excluded from the pull down menu of products
		// (when creating a new featured product)
      	$featured_array = array();
      	$featured_query = tep_db_query("select p.products_id from products p, featured f where f.products_id = p.products_id");
      	while ($featured = tep_db_fetch_array($featured_query)) {
        	$featured_array[] = $featured['products_id'];
        }
      }
    }
?>
      <tr><form name="new_feature" <?php echo 'action="' . tep_href_link('featured.php', tep_get_all_get_params(array('action', 'info', 'fID')) . 'action=' . $form_action, 'NONSSL') . '"'; ?> method="post"><?php if ($form_action == 'update') echo tep_draw_hidden_field('featured_id', $_GET['fID']); ?>
        <td><br><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo TEXT_FEATURED_PRODUCT; ?>&nbsp;</td>
	    <td class="main">
<?php
		if ( ($_GET['action'] == 'new') && isset($_GET['prodID']) ) {
        		echo tep_draw_hidden_field('products_id', $_GET['prodID']);
			echo $fInfo->products_name;
		}
        else
        	echo (isset($fInfo->products_name)) ? $fInfo->products_name : tep_draw_products_pull_down('products_id', 'style="font-size:14px"', $featured_array);

?>
            </td>
          </tr>
          <tr>
            <td class="main"><?php echo TEXT_FEATURED_EXPIRES_DATE; ?>&nbsp;</td>
			<td class="main"><?php echo tep_draw_input_field('expdate', (isset($fInfo->expires_date) && tep_not_null($fInfo->expires_date) ? substr($fInfo->expires_date, 0, 4) . '-' . substr($fInfo->expires_date, 5, 2) . '-' . substr($fInfo->expires_date, 8, 2) : ''), 'id="expdate"') . ' <small>(YYYY-MM-DD)</small>'; ?></td>
<script type="text/javascript">
$('#expdate').datepicker({
  dateFormat: 'yy-mm-dd'
});
</script>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
          	<td class="main" align="middle" valign="top"><br>
		 <?php if ($form_action == 'insert') {
					echo tep_draw_button(IMAGE_NEW_PRODUCT, 'plus', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('featured.php', (isset($_GET['page']) ? 'page=' . $_GET['page'] : 'page=') . (isset($_GET['fID']) ? '&fID=' . $_GET['fID'] : '')));
                } else {
					echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('featured.php', (isset($_GET['page']) ? 'page=' . $_GET['page'] : 'page=') . (isset($_GET['fID']) ? '&fID=' . $_GET['fID'] : '')));
				}
				?>

			</td>
		  </tr>
        </table></td>
      </form></tr>
<?php
  } else {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
                <td class="dataTableHeadingContent" align="right">&nbsp;</td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
    $featured_query_raw = "select p.products_id, pd.products_name, f.featured_id, f.featured_date_added, f.featured_last_modified, f.expires_date, f.date_status_change, f.status from products p, featured f, products_description pd where p.products_id = pd.products_id and pd.language_id = '" . $languages_id . "' and p.products_id = f.products_id order by pd.products_name";
    $featured_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $featured_query_raw, $featured_query_numrows);
    $featured_query = tep_db_query($featured_query_raw);
    while ($featured = tep_db_fetch_array($featured_query)) {
      if ( ((!isset($_GET['fID'])) || (isset($_GET['fID']) && $_GET['fID'] == $featured['featured_id'])) && (!isset($fInfo)) ) {

        $products_query = tep_db_query("select products_image from products where products_id = '" . $featured['products_id'] . "'");
        $products = tep_db_fetch_array($products_query);
        $fInfo_array = array_merge($featured, $products);
        $fInfo = new objectInfo($fInfo_array);
      }

      if ( (isset($fInfo)) && ($featured['featured_id'] == $fInfo->featured_id) ) {
        echo '                  <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'hand\'" onclick="document.location.href=\'' . tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $fInfo->featured_id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '                  <tr class="dataTableRow" onmouseover="this.className=\'dataTableRowOver\';this.style.cursor=\'hand\'" onmouseout="this.className=\'dataTableRow\'" onclick="document.location.href=\'' . tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $featured['featured_id']) . '\'">' . "\n";
      }
?>
                <td  class="dataTableContent"><?php echo $featured['products_name']; ?></td>
                <td  class="dataTableContent" align="right">&nbsp;</td>
                <td  class="dataTableContent" align="right">
<?php
      if ($featured['status'] == '1') {
        echo tep_image('images/icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link('featured.php', 'action=setflag&flag=0&id=' . $featured['featured_id'], 'NONSSL') . '">' . tep_image('images/icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
      } else {
        echo '<a href="' . tep_href_link('featured.php', 'action=setflag&flag=1&id=' . $featured['featured_id'], 'NONSSL') . '">' . tep_image('images/icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image('images/icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
      }
?></td>
                <td class="dataTableContent" align="right"><?php if ( (isset($fInfo)) && ($featured['featured_id'] == $fInfo->featured_id) ) { echo tep_image('images/icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $featured['featured_id']) . '">' . tep_image('images/icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
      </tr>
<?php
    }
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellpadding="0"cellspacing="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $featured_split->display_count($featured_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_FEATURED); ?></td>
                    <td class="smallText" align="right"><?php echo $featured_split->display_links($featured_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
<?php
  if (!isset($_GET['action'])) {
?>
                  <tr>
                    <td colspan="2" align="right">
                      <?php
                       // Uncomment this line and comment out following 2 to ONLY use the Search feature
                        //echo '<a href="' . tep_href_link('select_featured.php', 'page=' . $_GET['page'] . '&action=new') . '">' . tep_draw_button(IMAGE_SEARCH, 'search') . '</a>';
                        // Two buttons - search for products or default of using select box
						echo '<a href="' . tep_href_link('select_featured.php', 'page=' . $_GET['page'] . '&action=new') . '">' . tep_draw_button(IMAGE_SEARCH, 'search') . '</a>';
						echo '<a href="' . tep_href_link('featured.php', 'page=' . $_GET['page'] . '&action=new') . '">' . tep_draw_button(IMAGE_NEW_PRODUCT, 'plus') . '</a>';
						echo '<a href="' . tep_href_link('featured.php', 'page=' . $_GET['page'] . '&action=delete&fID=' . $fInfo->featured_id) . '">' . tep_draw_button(IMAGE_DELETE, 'trash') . '</a>';
                      ?>
                    </td>
                  </tr>
<?php
  }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  if (isset($_GET['action'])) {
    switch ($_GET['action']) {
      case 'delete':
        $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_FEATURED . '</b>');

        $contents = array('form' => tep_draw_form('featured', 'featured.php', 'page=' . $_GET['page'] . '&fID=' . $fInfo->featured_id . '&action=deleteconfirm'));
        $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
        $contents[] = array('text' => '<br><b>' . $fInfo->products_name . '</b>');
        $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE, 'trash', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $fInfo->featured_id)));
        break;
      default:
        if (isset($fInfo)) {
          $heading[] = array('text' => '<b>' . $fInfo->products_name . '</b>');

          $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $fInfo->featured_id . '&action=edit')) . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link('featured.php', 'page=' . $_GET['page'] . '&fID=' . $fInfo->featured_id . '&action=delete')));
          $contents[] = array('text' => '<br>' . TEXT_INFO_DATE_ADDED . ' ' . tep_date_short($fInfo->featured_date_added));
          $contents[] = array('text' => '' . TEXT_INFO_LAST_MODIFIED . ' ' . tep_date_short($fInfo->featured_last_modified));
          $contents[] = array('align' => 'center', 'text' => '<br>' . tep_info_image($fInfo->products_image, $fInfo->products_name, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT));

          $contents[] = array('text' => '<br>' . TEXT_INFO_EXPIRES_DATE . ' <b>' . tep_date_short($fInfo->expires_date) . '</b>');
          $contents[] = array('text' => '' . TEXT_INFO_STATUS_CHANGE . ' ' . tep_date_short($fInfo->date_status_change));
        }
        break;
    }
  }
  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
}
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>