<?php
/*
  Featured Products CE Phoenix v2.0.0
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2019: Rainer Schmied - @raiwa

  All rights reserved.﻿﻿

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

  require('includes/application_top.php');

  require('includes/classes/currencies.php');
  $currencies = new currencies();

require('includes/template_top.php');
?>

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', '1', '30'); ?></td>
          </tr>
        </table></td>
      </tr>

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="main"><br/>

            <?php echo tep_draw_form('search_featured', 'select_featured.php', '', 'get'); ?>
              <table border='0'>
                <tr>
                  <td class='main'><?php echo TEXT_FEATURED_PRODUCT; ?></td>
                  <td class='main'><?php echo tep_draw_input_field('products_name') ?></td>
                </tr>

                <tr>
                  <td class='main'><?php echo TEXT_FEATURED_MODEL; ?></td>
                  <td class='main'><?php echo tep_draw_input_field('products_model') ?></td>
                </tr>

                <tr>
                  <td class='main' colspan='2' align='right'><?php echo tep_draw_button(IMAGE_SEARCH, 'search'); ?></td>
				  <td><?php echo tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('featured.php')); ?></td>
                </tr>
              </table>
              </form>

              <?php echo tep_draw_separator('pixel_trans.gif', '1', '30'); ?>

			  <table border="0" width="100%" cellspacing="0" cellpadding="2">
			    <tr class="dataTableHeadingRow">
                  <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
                  <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_MODEL; ?></td>
                  <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRODUCTS_PRICE; ?></td>
                  <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_STATUS; ?></td>
                </tr>

<?php
  if (isset($_GET['products_name'])) {
    $name = tep_db_prepare_input($_GET['products_name']);
  }
  if (isset($_GET['products_model'])) {
    $model = tep_db_prepare_input($_GET['products_model']);
	}

	if (isset($name) || isset($model)) {

		$sql = "select d.products_id, d.products_name, p.products_model, p.products_price, p.products_status from products_description d, products p where d.language_id = '" . (int)$languages_id . "' and d.products_id = p.products_id";
		if (isset($name))  $sql .= " and d.products_name like '%" . tep_db_input($name) . "%'";
		if (isset($model))  $sql .= " and p.products_model like '%" . tep_db_input($model) . "%'";

		$search_query = tep_db_query($sql);
		while ($result = tep_db_fetch_array($search_query)) {
			if ($result['products_status'] == '1')
				$icon = tep_image('images/icon_status_green.gif', '', 10, 10) . '&nbsp;&nbsp;' . tep_image('images/icon_status_red_light.gif', '', 10, 10);
			else
				$icon = tep_image('images/icon_status_green_light.gif', '', 10, 10) . '&nbsp;&nbsp;' . tep_image('images/icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
?>
                <tr class="dataTableRow" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="document.location.href='<?php echo tep_href_link('featured.php', '&prodID=' . $result['products_id'] . '&action=new'); ?>'">
                  <td  class="dataTableContent">
                    <a href="<?php echo tep_href_link('featured.php', '&prodID=' . $result['products_id'] . '&action=new'); ?>"><?php echo $result['products_name']; ?></a>
                  </td>
                  <td  class="dataTableContent" align="left"><?php echo $result['products_model']; ?></td>
                  <td  class="dataTableContent" align="right"><?php echo $currencies->format($result['products_price']); ?></td>
                  <td  class="dataTableContent" align="center"><?php echo $icon; ?></td>
                </tr>
<?php
    	}
	}
?>

              </table>
			 </td>
          </tr>
        </table></td>
      </tr>
      </table>

    </td>
<!-- body_text_eof //-->
  </tr>
</table>
<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>